@ECHO OFF
:===========================================================================================
: Bull S.A.S
: This script must be used to create a bootable USB key that contains all files and tools:
:      to replace the AOC-SIMSO or AOC-SIMSO+ firmware
:      to display informations about AOC-SIMSO or AOC-SIMSO+
:      to set MAC and/or IP address of the AOC-SIMSO or AOC-SIMSO+ 
:-------------------------------------------------------------------------------------------
: Syntax:	%0 UsbKeyDrive
:
:     Example   %0 J
:
:-------------------------------------------------------------------------------------------
: History:
: 20070627	Creation           
:===========================================================================================
cls
set DEBUG=0

IF "%1" == "" GOTO FATAL

IF EXIST %SYSTEMDRIVE%\DriveKey\InstalFlag.txt (
	echo.
	echo %0: WARNING, Old version of "HP USB Disk Storage Format" Tool must be uninstalled.
	echo.
	call .\SP27213.exe
	rmdir /Q /S %SYSTEMDRIVE%\DriveKey
)


echo.
echo Install "HP USB Disk Storage Format" Tool into default directory %SYSTEMDRIVE%\DriveKey
echo.
call .\SP27213.exe
echo "HP USB Disk Storage Format is installed" > %SYSTEMDRIVE%\DriveKey\InstalFlag.txt



echo.
echo Extract all files from .\HPUSBFW_BOOTFILES.zip into directory %SYSTEMDRIVE%\DriveKey
echo.
call .\HPUSBFW_BOOTFILES.zip
if %DEBUG% EQU 1 (
	DIR %SYSTEMDRIVE%\DriveKey /S /A:H
	DIR %SYSTEMDRIVE%\DriveKey /S 
)


echo.
echo Format the USB key with "HP USB Disk Storage format tool"
echo.
echo 	Enter the following parameters:
echo    Device = %1
echo    File system = FAT
echo    Volume Label = DOSKEY
echo    Format Options = Create a DOS startup disk
echo    Using DOS system files located at = %SYSTEMDRIVE%\DriveKey
echo.
call %SYSTEMDRIVE%\DriveKey\HPUSBFW.EXE




echo.
echo Copy all files and tools to bootable USB key.
echo.
xcopy   ..\ClefUSBbootable\*  %1:\   /E /V /F /H /K /Y
if %DEBUG% EQU 1 (
	DIR %1:\ /S /A:H
	DIR %1:\ /S
)

echo.
echo Your bootable USB key has been correctly created. 
echo.
echo DISMOUNT YOUR USB KEY WITH THE NECESSARY FULL SAFETY. 
echo.

exit /B


:FATAL
	echo.
	echo FATAL ERROR, Syntax is:
	echo.
	echo	%0 UsbKeyDrive
	echo.
	echo Prerequisite: 
	echo You must mount an USB key on your system (all its data will be lost).
	echo.
	exit /B